
QGIS Application - Bug report #7331

QGIS 1.8 not building on official openSUSE 12.3 repository

2013-03-12 02:28 AM - Angelos Tzotsos

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: openSUSE Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16316

Description

Hi all,

I am trying to prepare QGIS binaries for the release of openSUSE 12.3 (in 2 days) and I am getting some Postgres 9.2 related build error.

Build log is here:

https://build.opensuse.org/package/rawlog?arch=x86_64&#38;package=qgis&#38;project=Application%3AGeo&#38;repository=openS

SE_Factory

The error says: 

 [  714s] make

2

: *** No rule to make target `/usr/lib/postgresql92/lib64/libpq.so', needed by `output/bin/qgis_mapserv.fcgi'.

I tried without multithreading make and got the same:

https://build.opensuse.org/package/rawlog?arch=x86_64&#38;package=qgis&#38;project=home%3Atzotsos%3AApplication%3AGeo&

38;repository=openSUSE_Factory

Any ideas?

Thanks,

Angelos

History

#1 - 2013-04-03 04:51 AM - Jürgen Fischer

What's /usr/lib/postgresql92/lib64/libpq.so?  Stale symlink maybe?

#2 - 2013-04-03 05:19 AM - Angelos Tzotsos

- Status changed from Open to Closed

This issue was fixed in OBS using a non default CMake parameter for postgres location.

https://build.opensuse.org/package/rdiff?linkrev=base&#38;package=qgis&#38;project=Application%3AGeo&#38;rev=158

Thanks,

Angelos
